# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`perfsonar`](#perfsonar): Manage perfSONAR

_Private Classes_

* `perfsonar::config`: Manage perfSONAR configs
* `perfsonar::firewall`: Manage perfSONAR firewall rules
* `perfsonar::install`: Manage perfsonar packages
* `perfsonar::repo`: Manage perfsonar repo

## Classes

### perfsonar

Manage perfSONAR

#### Examples

##### 

```puppet
include perfsonar
```

#### Parameters

The following parameters are available in the `perfsonar` class.

##### `manage_repo`

Data type: `Boolean`

Boolean that determines if perfSONAR repos will be managed.

Default value: `true`

##### `manage_epel`

Data type: `Boolean`

Boolean that determines if EPEL repo is managed.

Default value: `true`

##### `bundle`

Data type: `Enum['perfsonar-tools','perfsonar-testpoint','perfsonar-core','perfsonare-centralmanagement','perfsonar-toolkit']`

The perfSONAR bundle package to install

Default value: 'perfsonar-toolkit'

##### `optional_packages`

Data type: `Array`

Array of optional packages to install

Default value: []

##### `manage_firewall`

Data type: `Boolean`

Boolean that determines if firewall rules are managed.

Default value: `true`

##### `with_ipv6`

Data type: `Boolean`

Boolean that determines if IPv6 support should be enabled

Default value: `false`

##### `web_admin_username`

Data type: `String`

User name used to log into perfSONAR web interface

Default value: 'admin'

##### `web_admin_password`

Data type: `Optional[String]`

Password for perfSONAR web login

Default value: `undef`

##### `remove_root_prompt`

Data type: `Boolean`

Boolean that determines if file should be removed that
provides a prompt for setup when root logs in.

Default value: `false`

